Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.classgen
[Java] Class BytecodeInstruction

    java.lang.Object
      org.codehaus.groovy.classgen.BytecodeInstruction

    public abstract class BytecodeInstruction
    extends java.lang.Object

Helper class used by the class generator. Usually an inner class is produced, that contains bytecode creation code in the visit method.

Authors:
  Jochen Theodorou

Method Summary
`void` | `visit(org.objectweb.asm.MethodVisitor mv)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### visit

    public void visit(org.objectweb.asm.MethodVisitor mv)

Groovy Documentation